/**
 Copyright © 2017 Visa. All rights reserved.
 */

import UIKit
import VisaCheckoutHybrid

class ViewController: UIViewController {
    @IBOutlet weak var webView: UIWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        VisaCheckoutPlugin.configure(with: webView, viewController: self)
        if let url = URL(string: "https://demo.visacheckout.com/presidio") {
            let request = URLRequest(url: url)
            webView.loadRequest(request)
        }
    }
}

extension ViewController: UIWebViewDelegate {
    func webView(_ webView: UIWebView, shouldStartLoadWith request: URLRequest, navigationType: UIWebViewNavigationType) -> Bool {
        if VisaCheckoutPlugin.shouldHandle(request) {
            VisaCheckoutPlugin.handle(request)
            return false
        }
        
        return true
    }
}
